# xarray.ufuncs.isnan

`xarray.ufuncs.``isnan` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.isnan. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  isnan(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Test element-wise for NaN and return result as a boolean array.

  Parameters:

  x : array_like

  > Input array.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : ndarray or bool

  > For scalar input, the result is a new boolean with value True if the input is NaN; otherwise the value is False.

  > For array input, the result is a boolean array of the same dimensions as the input and the values are True if the corresponding element of the input is NaN; otherwise the values are False.

  See also

  `isinf`, `isneginf`, `isposinf`, `isfinite`, `isnat`

  Notes

  NumPy uses the IEEE Standard for Binary Floating-Point for Arithmetic (IEEE 754). This means that Not a Number is not equivalent to infinity.

  Examples

      >>> np.isnan(np.nan)
      True
      >>> np.isnan(np.inf)
      False
      >>> np.isnan([np.log(-1.),1.,np.log(0)])
      array([ True, False, False], dtype=bool)